/* -*- c++ -*- */
#ifndef AKAXISO_OCCURENCE_H__
#define AKAXISO_OCCURENCE_H__

namespace aka2 {
  extern int unbounded;
  struct occurence {
    occurence(int minOccurs = 1, int maxOccurs = 1)
      : minOccurs_(minOccurs), maxOccurs_(maxOccurs) {}
    int minOccurs_;
    int maxOccurs_;
    bool in_range(int count) const;
  };
}


#endif

